# CSS Extensions (Mozilla)

Mozilla supports a number of extensions to CSS. These properties are prefixed with -moz-.

The following table lists some of these CSS extensions:

Property Name / Description
-moz-border-radius Sets the rounding of the corners of the element
-moz-border-radius-topleft Sets the rounding of the top-left corner of the element
-moz-border-radius-topright Sets the rounding of the top-right corner of the element
-moz-border-radius-bottomright Sets the rounding of the bottom-right corner of the element
-moz-border-radius-bottomleft Sets the rounding of the top-right corner of the element
-moz-border-top-colors Sets a list of colors for the top border
-moz-border-right-colors Sets a list of colors for the right border
-moz-border-bottom-colors Sets a list of colors for the bottom border
-moz-border-left-colors Sets a list of colors for the left border
-moz-opacity Specifies the opacity level of the element
-moz-outline (deprecated) Specifies the outline of the element
-moz-outline-color (deprecated) Specifies the color of the outline of the element
-moz-outline-offset (deprecated) Specifies the amount of space between the outline and the border or the edge of the element
-moz-outline-style (deprecated) Specifies the style of the left, right, top, and bottom borders of the object.
-moz-outline-width (deprecated) Specifies the width of the outline
-moz-transform Allows modification of the coordinate space of the CSS visual formatting model. By modifying it, elements can be translated, rotated, scaled, and skewed.
-moz-transform-origin Allows modification of the origin for transformations of an element.
-moz-transition A shorthand property for -moz-transition-property, -moz-transition-duration, -moz-transition-timing-function, and -moz-transition-delay.
-moz-transition-delay Specifies the number of seconds a transition animation should take to complete.
-moz-transition-duration Specifies the number of seconds to wait between a change being requested to a property that is to be transitioned and the start of the transition effect.
-moz-transition-property Specifies the names of CSS properties to which a transition effect should be applied.
-moz-transition-timing-function Used to describe how the intermediate values of the CSS properties being affected by a transition effect are calculated.
-moz-user-focus Specifies whether the element can have focus
-moz-user-input Specifies whether the element can have input focus
-moz-user-modify Specifies which part of the contents of an element can be modified by the user
-moz-user-select Specifies whether the text of the element can be selected